## ocaml-shared-memory-ring 1.1.0

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=shared-memory-ring
J=4

export OCAMLRUNPARAM=b

TESTS ?= --enable-tests
ifeq "$(MIRAGE_OS)" "xen"
TESTS := --disable-tests
endif


setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure $(TESTS)

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
ocaml-shared-memory-ring (1.1.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-shared-memory-ring
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 camlp4-extra,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: ocaml-shared-memory-ring
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml implementation of Xen shared memory rings
 The shared memory ring protocols are used for: xenstore, console,
 disk and network devices.

Package: ocaml-shared-memory-ring-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-shared-memory-ring (>= 1.1.0-1),
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-shared-memory-ring
 The ocaml-shared-memory-ring-devel package contains libraries and
 signature files for developing applications that use ocaml-shared-
 memory-ring.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-shared-memory-ring/usr/lib/ocaml/shared-memory-ring/*.a
	rm -f debian/ocaml-shared-memory-ring/usr/lib/ocaml/shared-memory-ring/*.cmxa
	rm -f debian/ocaml-shared-memory-ring/usr/lib/ocaml/shared-memory-ring/*.cmx
	rm -f debian/ocaml-shared-memory-ring/usr/lib/ocaml/shared-memory-ring/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
